Skip to content
Start here

Create a new interconnect

network_interconnects.interconnects.create(InterconnectCreateParams**kwargs) -> InterconnectCreateResponse
POST/accounts/{account_id}/cni/interconnects

Creates a new network interconnect for connecting Cloudflare’s network to external networks. Interconnects provide dedicated bandwidth and reduced latency for traffic exchange.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic WAN WriteMagic Transit Write
ParametersExpand Collapse
account_id: str

Customer account tag

account: str
slot_id: str
formatuuid
type: str
speed: Optional[str]
ReturnsExpand Collapse
One of the following:
class NscInterconnectPhysicalBody:
account: str
facility: NscInterconnectPhysicalBodyFacility
address: List[str]
name: str
name: str
site: str

A Cloudflare site name.

slot_id: str
formatuuid
speed: str
type: str
virtual_port_reservation_id: str
formatuuid
ccr_device_name: Optional[str]
owner: Optional[str]
class NscInterconnectGcpPartnerBody:
account: str
name: str
region: str
type: str
virtual_port_reservation_id: str
formatuuid
owner: Optional[str]
speed: Optional[Literal["50M", "100M", "200M", 9 more]]

Bandwidth structure as visible through the customer-facing API.

One of the following:
"50M"
"100M"
"200M"
"300M"
"400M"
"500M"
"1G"
"2G"
"5G"
"10G"
"20G"
"50G"

Create a new interconnect

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
interconnect = client.network_interconnects.interconnects.create(
    account_id="account_id",
    account="account",
    slot_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    type="type",
)
print(interconnect)
{
  "account": "account",
  "facility": {
    "address": [
      "string"
    ],
    "name": "name"
  },
  "name": "name",
  "site": "site",
  "slot_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "speed": "speed",
  "type": "type",
  "virtual_port_reservation_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "ccr_device_name": "ccr_device_name",
  "owner": "owner"
}
Returns Examples
{
  "account": "account",
  "facility": {
    "address": [
      "string"
    ],
    "name": "name"
  },
  "name": "name",
  "site": "site",
  "slot_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "speed": "speed",
  "type": "type",
  "virtual_port_reservation_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "ccr_device_name": "ccr_device_name",
  "owner": "owner"
}